Get session
curl --request GET \
--url https://your-instance.example.com/api/sessions/{session} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/sessions/{session}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.example.com/api/sessions/{session}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.example.com/api/sessions/{session}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-instance.example.com/api/sessions/{session}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"config": {},
"createdAt": "<string>",
"name": "<string>",
"proxy": "<string>",
"runnerId": "<string>",
"status": "<string>",
"statusReason": "<string>",
"tenantId": "<string>",
"updatedAt": "<string>"
}{
"error": "missing or invalid API key"
}{
"docs": "https://docs.polymorfa.com/api/sessions",
"error": "session not found"
}{
"error": "internal server error"
}{
"docs": "<string>",
"error": "<string>"
}sessions
Get session
Returns details of a specific session
GET
/
api
/
sessions
/
{session}
Get session
Authorizations
Scoped API key created via POST /api/account/keys.
Path Parameters
Session name
Response
OK
Session configuration as JSON
When the session was created
Session identifier (e.g. "default")
HTTP/HTTPS proxy URL for WhatsApp connections
Runner pod currently managing this session
Current status: CONNECTING, CONNECTED, or DISCONNECTED
Reason for the current status (e.g. SCAN_QR, FAILED, LOGGED_OUT)
Tenant that owns this session
When the session was last updated